Bug 787176 - Problem with the "Text search" in the JBoss BRMS 5.2
Problem with the "Text search" in the JBoss BRMS 5.2
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.2.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: manstis
Sona Mala
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 06:49 EST by Amana
Modified: 2012-06-01 00:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The text search option in the BRMS user interface was not returning any results when searching for text used in assets. This has been resolved and the text search function now returns assets that contain the text searched for.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
brms5.1-1.png (99.67 KB, image/png)
2012-02-07 08:28 EST, Amana
no flags Details
brms5.1-2.png (90.45 KB, image/png)
2012-02-07 08:28 EST, Amana
no flags Details
brms5.1-3.png (115.91 KB, image/png)
2012-02-07 08:29 EST, Amana
no flags Details
brms5.2-1.png (91.21 KB, image/png)
2012-02-07 08:30 EST, Amana
no flags Details
brms5.2-2.png (96.33 KB, image/png)
2012-02-07 08:30 EST, Amana
no flags Details
brms5.2-3.png (97.30 KB, image/png)
2012-02-07 08:31 EST, Amana
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1822 Major Resolved Problem with the "Text search" feature 2016-07-11 06:21 EDT

  None (edit)
Description Amana 2012-02-03 06:49:34 EST
Description of problem:


When I do a search using the text search on JBoss BRMS 5.2, it returns nothing. Follow the steps to reproduce the issue (i.e. testing on mortgages package):

1) Click on Find feature on JBoss BRMS 5.2
2) In text search, fill out the field (i.e. LoanApplication) and click on Search
 Note> LoanApplication is a fact type from MortgageModel.
3) It returns nothing

Note: If the test is reproduced on JBoss BRMS 5.1, it works.
On JBoss BRMS 5.3 (EA) it also returns nothing.
Comment 3 manstis 2012-02-07 05:17:26 EST
This is not a bug. The "Test search ..." only works on Asset names, not their content (and AFAIK it has always worked this way)... Please advise if you are requesting an enhancement, or whether this represents a gap in understanding (and possibly our documentation).
Comment 4 Amana 2012-02-07 08:28:24 EST
Created attachment 559943 [details]
brms5.1-1.png
Comment 5 Amana 2012-02-07 08:28:57 EST
Created attachment 559944 [details]
brms5.1-2.png
Comment 6 Amana 2012-02-07 08:29:34 EST
Created attachment 559945 [details]
brms5.1-3.png
Comment 7 Amana 2012-02-07 08:30:13 EST
Created attachment 559946 [details]
brms5.2-1.png
Comment 8 Amana 2012-02-07 08:30:55 EST
Created attachment 559947 [details]
brms5.2-2.png
Comment 9 Amana 2012-02-07 08:31:39 EST
Created attachment 559948 [details]
brms5.2-3.png
Comment 10 Amana 2012-02-07 08:32:36 EST
So, I've reproduced some tests on BRMS 5.1 and 5.2. On BRMS 5.1 it works correctly according to the screenshots attached:

 -> brms5.1-1: we can see the fact types created to the MortgageModel, (i.e. LoanApplication)
 -> brms5.1.2: this another picture shows us a rule that uses the LoanApplication fact type.
 -> brms5.1.3: in this picture we can see that when I look for LoanApplication in the "Text search" feature, it returns all assets which use this text (i.e. the Are they old enough rule)


On BRMS 5.2 it does not work, see below the screenshots attached:

 -> brms5.2-1: a screenshot from the fact types created to the MortgageModel again
 -> brms5.2.2: it displays a rule that uses the LoanApplication fact type. 
 -> brms5.2.3: when I try to look for LoanApplication in the "Text search" feature, it returns nothing.


As I mentioned in the description, the same behaviour described to the BRMS 5.2 also occurs on BRMS 5.3 (EA).


I understand that Name search feature looks for Asset names, however about the Text search feature I thought it should look for any text used in the assets, as a rule.
Comment 11 manstis 2012-02-07 09:10:45 EST
Wow! What can I say, something clearly has changed.... Thanks for the clear screen-shots. I'll ask around see if anybody knows what has happened.
Comment 12 manstis 2012-03-16 12:51:24 EDT
Fix completed on 5.3.x branch.
Comment 13 Ryan Zhang 2012-04-23 03:38:47 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 16 lcarlon 2012-06-01 00:36:34 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The text search option in the BRMS user interface was not returning any results when searching for text used in assets. This has been resolved and the text search function now returns assets that contain the text searched for.

Note You need to log in before you can comment on or make changes to this bug.